package parser;
public class FSMParseException extends Exception {
	private static final long serialVersionUID = -2449243826074963019L;
	private int line;
	private int col;
	
	
	public FSMParseException(String message, int line, int col) {
		super(message);
		this.line = line;
		this.col = col;
	}
	
	public String getMessage() {
		StringBuffer b = new StringBuffer(super.getMessage());
		b.append(" - line ");
		b.append(line);
		b.append(", column ");
		b.append(col);
		return b.toString();
	}

}
